View a markdown version of this page

GetPrimaryEmailUpdateStatus - AWS Account Management

GetPrimaryEmailUpdateStatus

Retrieves the status of the most recent primary email update for the specified account. For complete details about how to update the primary email address, see Update the primary email address for your AWS account.

Request Syntax

POST /getPrimaryEmailUpdateStatus HTTP/1.1 Content-type: application/json { "AccountId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

AccountId

Specifies the 12-digit account ID number of the AWS account that you want to access or modify with this operation. To use this parameter, the caller must be an identity in the organization's management account or a delegated administrator account. The specified account ID must be a member account in the same organization. The organization must have all features enabled, and the organization must have trusted access enabled for the Account Management service, and optionally a delegated admin account assigned.

This operation can only be called from the management account or the delegated administrator account of an organization for a member account.

Note

The management account can't specify its own AccountId.

Type: String

Pattern: \d{12}

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "Status": "string", "UpdatedAt": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

Status

The status of the most recent primary email update request.

Type: String

Valid Values: PENDING | ACCEPTED | COMPLETED | FAILED

UpdatedAt

The date and time that the most recent primary email update status was last changed.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The operation failed because the calling identity doesn't have the minimum required permissions.

errorType

The value populated to the x-amzn-ErrorType response header by API Gateway.

HTTP Status Code: 403

InternalServerException

The operation failed because of an error internal to AWS. Try your operation again later.

errorType

The value populated to the x-amzn-ErrorType response header by API Gateway.

HTTP Status Code: 500

ResourceNotFoundException

The operation failed because it specified a resource that can't be found.

errorType

The value populated to the x-amzn-ErrorType response header by API Gateway.

HTTP Status Code: 404

TooManyRequestsException

The operation failed because it was called too frequently and exceeded a throttle limit.

errorType

The value populated to the x-amzn-ErrorType response header by API Gateway.

HTTP Status Code: 429

ValidationException

The operation failed because one of the input parameters was invalid.

fieldList

The field where the invalid entry was detected.

message

The message that informs you about what was invalid about the request.

reason

The reason that validation failed.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: